using System;

namespace ConsoleApp61
{
    class Program
    {
        struct fr
        {
            public long a;
            public double p;
        }

        static void razmeni(ref fr x, ref fr y)
        {
            fr p = x;
            x = y;
            y = p;
        }
        static int podeli(fr[] f, int leva, int desna)

        {
            int k, i;
            k = leva;
            for (i = leva + 1; i <= desna; i++)

                if (f[i].p > f[leva].p)
                {
                    razmeni(ref f[i], ref f[k + 1]);
                    k++;
                }

            razmeni(ref f[leva], ref f[k]);
            return k;


        }

        static void quickSort(fr[] a, int l, int d)

        {

            if (l < d)

            {
                int k = podeli(a, l, d);
                quickSort(a, l, k - 1);
                quickSort(a, k + 1, d);
            }

        }

        static void Sort(fr[] a, int n)
        {
            quickSort(a, 0, n - 1);
        }

        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            fr[] f = new fr[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                f[i].a = int.Parse(s[0]);
                f[i].p = double.Parse(s[1]);

            }
            Sort(f, n);
            double maks = 0;
            for (int i = 0; i < n; i++)
            {
                long suma = 0;
                for (int j = 0; j <= i; j++)
                {
                    suma += f[j].a;
                }
                    
                    double x = suma * f[i].p/ 100;
                    if (maks < x) maks = x;
                
            
            }
            Console.WriteLine(maks);
        }
    }
}